Barrelman Docs

Routing

Turn-by-turn routing via GraphHopper, enriched with elevation and path detail data.

Get enriched route with elevation and path detail data

Accepts a GraphHopper-compatible route request and returns the route response enriched with per-edge surface/road class/bike network/smoothness/slope attributes and elevation statistics. Internally calls GraphHopper /route with details and elevation enabled.

POST
/route

Response Body

curl -X POST "https://example.com/route"
fetch("https://example.com/route")
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {
  url := "https://example.com/route"

  req, _ := http.NewRequest("POST", url, nil)
  
  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "https://example.com/route"

response = requests.request("POST", url)

print(response.text)
Empty